_G = _G or {}
_G.HAWKEYE = _G.HAWKEYE or {}

local Hawkeye_PlayerManager_critical_hit_chance = PlayerManager.critical_hit_chance
function PlayerManager:critical_hit_chance(detection_risk)
    local original_multiplier = Hawkeye_PlayerManager_critical_hit_chance(self, detection_risk)
    local hawkeye_multiplier = self:is_current_weapon_of_category("bow") and managers.player:upgrade_value("bow", "critical_hit_chanche", 0) or 0
    return original_multiplier + hawkeye_multiplier 
end

-- TODO: ADD HOOK TO SKILL FRAMEWORK IF POSSIBLE SINCE IT'S THE SECOND TIME I DO SOMETHING SIMILIIAR
local hawkeye_PlayerManager_upgrade_value = PlayerManager.upgrade_value
function PlayerManager:upgrade_value(category, upgrade, default)
    local IsBowConcealmentBuffOn = self:has_category_upgrade("bow", "concealment_buff")

    -- Offyerrocker Thanks you mate
    -- The following code checks if you have a bow equipped, it works in the menu but it does not check if this is your current weapon
    -- I will check or bow == current_weapon when I add the critical hit chance bonus
    local primaryWeapon = tweak_data.weapon[managers.blackmarket:equipped_primary().weapon_id]
    local PlayerHasBow = table.contains(primaryWeapon.categories, "bow")
    -- End Explanation
    if IsBowConcealmentBuffOn and PlayerHasBow and category == "player" and upgrade == "passive_concealment_modifier" then
        local original_modifier = hawkeye_PlayerManager_upgrade_value(self, category, upgrade, default)
        local buff_value = hawkeye_PlayerManager_upgrade_value(self, "bow", "concealment_buff", 0)
        return original_modifier + buff_value
    else
        return hawkeye_PlayerManager_upgrade_value(self, category, upgrade, default)
    end
end
