Hooks:PostHook(UpgradesTweakData, "_init_pd2_values", "Hawkeye_UpgradesTweakData_init_pd2_values", function(self)
    -- Must add table cause by defaut it does not exist
    self.values.bow = {}

    --  
    self.values.bow.reload_speed_multiplier = {2.5, 3}

    -- 
    self.values.bow.extra_ammo_multiplier = {1.40, 1.75}

    -- 
    self.values.bow.swap_speed_multiplier = {1.40, 1.80, 3}

    -- 
    self.values.bow.charge_speed_multiplier = {3, 4, 2}

    self.values.player.bow_armor_piercing = {0.5, 1}
    
    self.values.bow.concealment_buff = {2}
    -- 
    self.values.bow.hip_run_and_shoot = {true}
    
    --
    self.values.bow.critical_hit_chanche = {0.20, 0.30}

    -- Max Arrows for over load
    self.values.bow.multishot_overload = {
        3,
        5
    }

    -- 
    self.values.bow.overcharge = {
        {
            cd = 15,
            charge = 3.5
        },
        {
            cd = 12,
            charge = 3
        }
    }
end)

Hooks:PostHook(UpgradesTweakData, "_weapon_definitions", "Hawkeye_UpgradesTweakData_weapon_definitions", function(self)
    self:add_definition("bow_charge_speed_multiplier_1", "charge_speed_multiplier", "bow", 1)
    self:add_definition("bow_charge_speed_multiplier_2", "charge_speed_multiplier", "bow", 2)

    self:add_definition("bow_reload_speed_multiplier_1", "reload_speed_multiplier", "bow", 1)
    self:add_definition("bow_reload_speed_multiplier_2", "reload_speed_multiplier", "bow", 2)

    self:add_definition("bow_extra_ammo_multiplier_1", "extra_ammo_multiplier", "bow", 1)
    self:add_definition("bow_extra_ammo_multiplier_2", "extra_ammo_multiplier", "bow", 2)

    self:add_definition("bow_swap_speed_multiplier_1", "swap_speed_multiplier", "bow", 1)
    self:add_definition("bow_swap_speed_multiplier_2", "swap_speed_multiplier", "bow", 2)

    self:add_definition("bow_armor_piercing_1", "bow_armor_piercing", "player", 1)
    self:add_definition("bow_armor_piercing_2", "bow_armor_piercing", "player", 2)

    self:add_definition("bow_concealment_buff", "concealment_buff", "bow", 1)
    self:add_definition("bow_hip_run_and_shoot", "hip_run_and_shoot", "bow", 1)

    self:add_definition("bow_critical_hit_chanche_1", "critical_hit_chanche", "bow", 1)
    self:add_definition("bow_critical_hit_chanche_2", "critical_hit_chanche", "bow", 2)

    self:add_definition("overcharge_1", "overcharge", "bow", 1)
    self:add_definition("overcharge_2", "overcharge", "bow", 2)

    self:add_definition("bow_multishot_overload_1", "multishot_overload", "bow", 1)
    self:add_definition("bow_multishot_overload_2", "multishot_overload", "bow", 2)
end)
